- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
mysqlpp::BadOption Class Reference

Exception thrown when you pass an unrecognized option to Connection::set_option(). More...

`#include <exceptions.h>`

Inheritance diagram for mysqlpp::BadOption:
[legend]
Collaboration diagram for mysqlpp::BadOption:
[legend]

## Public Member Functions
| BadOption (const char *w, const std::type_info &ti)
| Create exception object, taking C string.
| BadOption (const std::string &w, const std::type_info &ti)
| Create exception object, taking C++ string.
const std::type_info & | what_option () const
| Return type information about the option that failed. More...
Public Member Functions inherited from mysqlpp::Exception
| Exception (const Exception &e) throw ()
| Create exception object as copy of another.
Exception & | operator= (const Exception &rhs) throw ()
| Assign another exception object's contents to this one.
| ~Exception () throw ()
| Destroy exception object.
virtual const char * | what () const throw ()
| Returns explanation of why exception was thrown.

## Additional Inherited Members
Protected Member Functions inherited from mysqlpp::Exception
| Exception (const char *w="") throw ()
| Create exception object.
| Exception (const std::string &w) throw ()
| Create exception object.
Protected Attributes inherited from mysqlpp::Exception
std::string | what_
| explanation of why exception was thrown

## Detailed Description

Exception thrown when you pass an unrecognized option to Connection::set_option().

## Member Function Documentation

const std::type_info& mysqlpp::BadOption::what_option | ( |  | ) | const
| inline

Return type information about the option that failed.

Because each option has its own C++ type, this lets you distinguish among BadOption exceptions programmatically.

The documentation for this class was generated from the following file:

- exceptions.h